Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IForeignContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContent, IElement, IStyledElement

    public interface IForeignContent

extends IContent

The content of foreign object is not handle by report engine. It is the object's responsibility to convert itself to standard content type. Such as object described in HTML/RTF or other format. For foreign object in "text/html" format, the PDF writer output the standard content while the HTML writer output the raw value directly.

Field Summary
`static java.lang.String` | `EXTERNAL_TYPE` the content is the output of a extenal item, it is byte[]
`static java.lang.String` | `HTML_TYPE` the content is an string which contains HTML content
`static java.lang.String` | `IMAGE_TYPE` the content is an image content which define the image
`static java.lang.String` | `TEMPLATE_TYPE` the content is an template.
`static java.lang.String` | `TEXT_TYPE` the content is an string which contains plain text
`static java.lang.String` | `UNKNOWN_TYPE` the content is unkown
`static java.lang.String` | `VALUE_TYPE` the object value

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`java.lang.String` | `getAltText()`
`java.lang.String` | `getAltTextKey()`
`java.lang.String` | `getRawKey()`
`java.lang.String` | `getRawType()` the orginal format of the object.
`java.lang.Object` | `getRawValue()` the orignal content describe in raw format.
`void` | `setAltText(java.lang.String altText)`
`void` | `setAltTextKey(java.lang.String key)`
`void` | `setRawKey(java.lang.String rawKey)`
`void` | `setRawType(java.lang.String type)`
`void` | `setRawValue(java.lang.Object value)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Field Detail

### HTML_TYPE

    static final java.lang.String HTML_TYPE

  the content is an string which contains HTML content

  See Also:
    Constant Field Values

### TEXT_TYPE

    static final java.lang.String TEXT_TYPE

  the content is an string which contains plain text

  See Also:
    Constant Field Values

### TEMPLATE_TYPE

    static final java.lang.String TEMPLATE_TYPE

  the content is an template. In this condition the raw value should be a Object[2], the first object is the template text, the second object is the value map.

  See Also:
    Constant Field Values

### EXTERNAL_TYPE

    static final java.lang.String EXTERNAL_TYPE

  the content is the output of a extenal item, it is byte[]

  See Also:
    Constant Field Values

### IMAGE_TYPE

    static final java.lang.String IMAGE_TYPE

  the content is an image content which define the image

  See Also:
    Constant Field Values

### UNKNOWN_TYPE

    static final java.lang.String UNKNOWN_TYPE

  the content is unkown

  See Also:
    Constant Field Values

### VALUE_TYPE

    static final java.lang.String VALUE_TYPE

  the object value

  See Also:
    Constant Field Values

Method Detail

### getRawType

    java.lang.String getRawType()

  the orginal format of the object. such as: "text/html", "text/rtf", "xml/svg" etc.

  Returns:
    type of the content

### setRawType

    void setRawType(java.lang.String type)

### getRawKey

    java.lang.String getRawKey()

### setRawKey

    void setRawKey(java.lang.String rawKey)

### getRawValue

    java.lang.Object getRawValue()

  the orignal content describe in raw format.

  Returns:
    Returns the content. Caller knows how to cast this object

### setRawValue

    void setRawValue(java.lang.Object value)

### getAltText

    java.lang.String getAltText()

  Returns:
    Returns the altText.

### getAltTextKey

    java.lang.String getAltTextKey()

### setAltText

    void setAltText(java.lang.String altText)

### setAltTextKey

    void setAltTextKey(java.lang.String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.